package entity

import "online_code/common/types"

// Problem 问题表
type Problem struct {
	types.BaseDbModel
	Identity          string             `json:"identity" gorm:"column:identity;type:varchar(36);comment:'问题表的唯一标识'" `                 // 问题表的唯一标识
	ProblemCategories []*ProblemCategory `json:"problem_categories" gorm:"foreignKey:problem_id;references:id;comment:'关联问题分类表'" `     // 关联问题分类表
	Title             string             `json:"title" gorm:"column:title;type:varchar(255);comment:'文章标题'" `                          // 文章标题
	Content           string             `json:"content" gorm:"column:content;type:text;comment:'文章正文'" `                              // 文章正文
	MaxRuntime        int                `json:"max_runtime" gorm:"column:max_runtime;type:int(11);comment:'最大运行时长'" `                 // 最大运行时长
	MaxMem            int                `json:"max_mem" gorm:"column:max_mem;type:int(11);comment:'最大运行内存'" `                         // 最大运行内存
	TestCases         []*TestCase        `json:"test_cases" gorm:"foreignKey:problem_identity;references:identity;comment:'关联测试用例表'" ` // 关联测试用例表
	PassNum           int64              `json:"pass_num" gorm:"column:pass_num;type:int(11);comment:'通过次数'" `                         // 通过次数
	SubmitNum         int64              `json:"submit_num" gorm:"column:submit_num;type:int(11);comment:'提交次数'" `                     // 提交次数
}

func (table *Problem) TableName() string {
	return "problem_basic"
}
