package entity

// Submit 提交表
type Submit struct {
	Identity        string   `json:"identity" gorm:"column:identity;type:varchar(36);comment:'用户唯一标识'" `                      // 唯一标识
	ProblemIdentity string   `json:"problem_identity" gorm:"column:problem_identity;type:varchar(36);comment:'问题表的唯一标识'" `    // 问题表的唯一标识
	ProblemBasic    *Problem `json:"problem_basic" gorm:"foreignKey:identity;references:problem_identity;comment:'关联问题基础表'" ` // 关联问题基础表
	UserIdentity    string   `json:"user_identity" gorm:"column:user_identity;type:varchar(36);comment:'用户表的唯一标识'" `          // 用户表的唯一标识
	UserBasic       *User    `json:"user_basic" gorm:"foreignKey:identity;references:user_identity;comment:'联用户基础表'" `        // 关联用户基础表
	Path            string   `json:"path" gorm:"column:path;type:varchar(255);comment:'代码存放路径'" `                             // 代码存放路径
	Status          int      `json:"status" gorm:"column:status;type:tinyint(1);comment:'状态'" `                               // 【-1-待判断，1-答案正确，2-答案错误，3-运行超时，4-运行超内存， 5-编译错误】
}

func (table *Submit) TableName() string {
	return "submit"
}
